Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache.document
Class SessionNode.DeepClone

    java.lang.Object
      org.modeshape.jcr.cache.document.SessionNode.DeepCopy
          org.modeshape.jcr.cache.document.SessionNode.DeepClone

Enclosing class:
  SessionNode

    protected class SessionNode.DeepClone

extends SessionNode.DeepCopy

Field Summary

Fields inherited from class org.modeshape.jcr.cache.document.SessionNode.DeepCopy
`linkedPlaceholdersToOriginal, propertyFactory, sourceCache, sourceNode, sourceToTargetKeys, startingPathInSource, targetCache, targetNode, targetWorkspaceKey`

Constructor Summary
`protected` | `SessionNode.DeepClone(SessionNode targetNode, WritableSessionCache cache, CachedNode sourceNode, SessionCache sourceCache)`

Method Summary
`protected void` | `copyProperties(MutableCachedNode targetNode, CachedNode sourceNode)`
`protected NodeKey` | `createTargetKeyFor(NodeKey sourceKey, NodeKey parentKeyInTarget)`
`protected String` | `getOperationName()`

Methods inherited from class org.modeshape.jcr.cache.document.SessionNode.DeepCopy
`doPhase1, doPhase2, execute, getSourceToTargetKeys, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionNode.DeepClone

    protected SessionNode.DeepClone(SessionNode targetNode,
                                    WritableSessionCache cache,
                                    CachedNode sourceNode,
                                    SessionCache sourceCache)

Method Detail

### copyProperties

    protected void copyProperties(MutableCachedNode targetNode,
                                  CachedNode sourceNode)

  Overrides:
    `copyProperties` in class `SessionNode.DeepCopy`

### createTargetKeyFor

    protected NodeKey createTargetKeyFor(NodeKey sourceKey,
                                         NodeKey parentKeyInTarget)

  Overrides:
    `createTargetKeyFor` in class `SessionNode.DeepCopy`

### getOperationName

    protected String getOperationName()

  Overrides:
    `getOperationName` in class `SessionNode.DeepCopy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.